petsc-3.12.4 2020-02-04
Report Typos and Errors

# DMPlexSetSupport

Set the points on the out-edges for this point in the DAG, that is the list of points that this point covers

### Synopsis

    #include "petscdmplex.h"
    PetscErrorCode DMPlexSetSupport(DM dm, PetscInt p, const PetscInt support[])

Not collective

### Input Parameters

| mesh | - The DMPlex
| p | - The point, which must lie in the chart set with DMPlexSetChart()
| support | - An array of points which are on the out-edges for point p

### Output Parameter

### Note

This should be called after all calls to DMPlexSetSupportSize() and DMSetUp().

### See Also

DMPlexSetCone(), DMPlexSetConeSize(), DMPlexCreate(), DMPlexGetSupport(), DMPlexSetChart(), DMPlexSetSupportSize(), DMSetUp()

### Level

beginner

### Location

src/dm/impls/plex/plex.c

### Examples

src/ts/examples/tutorials/ex11.c.html
Index of all DMPLEX routines
Table of Contents for all manual pages
Index of all manual pages